##
#   TUS Blog Configuration
#
#   Run "./bin/skeleton generate" after making changes
##
name:                                   TUS Blog
description:                            Generated by WordPress Skeleton
author:                                 Cezary Baginski
domain:                                 blog.unritalinsolution.com


##
#   Deployment & source repository
##
repository:                             git@bitbucket.org:ypauli/tus-theme.git


##
#   WordPress' wp-config.php settings & plugins for each environment
##
wordpress:
    # Vagrant development environment
    vagrant:
        # do chmod on all files - avoid since it's slow
        fix_permissions: false

        # WP_SITEURL and can be a sub directory of WP_HOME
        site_directory: /wp

        # See: https://api.wordpress.org/secret-key/1.1/salt/
        salts:  |
            define('AUTH_KEY',         'eImX1]2siZ3qmEWs,>9a:sCBeMS|unHDar*+7HG$A7z+zNt.|CoC2Ehjp[]9-MK?');
            define('SECURE_AUTH_KEY',  'r`PfiPJe8b*h<+vs`M{dm@4i(+WX:-!izpq6.+&ToOk|/fh9{z|#n4)8>-lOXhSz');
            define('LOGGED_IN_KEY',    '=g&ag/G)0TtT/34INVh/8]A6@Tf|<{0B%K6?N/)N^1DZ$:RUqB{BIGvzL[8/TU$,');
            define('NONCE_KEY',        'OV|gh)H(|dhp1fUBG*I-ai-lGP660rv$g_t`i3}mBUw>a5.=LZ7=O7YW1n!gj-wS');
            define('AUTH_SALT',        '=D.^Akl|Z^Yxgi[SPASa?jm<-3!-T4RV64:]/Dw|$|IpDa|-+hEw)gs3d$0QBOLF');
            define('SECURE_AUTH_SALT', 'y9W}-C!l.B]%]|A4Ui0IogCI X=x5Y]J(-r=8}7GAoT(X` |5W[,>d;/+}KjuvN9');
            define('LOGGED_IN_SALT',   '}H|g.~`-|/m>l+?fM-[V3zk}ZT.;@&+hbGcv$0J+ ]eM<t[GmK/hvDc#`ND-b;*a');
            define('NONCE_SALT',       'wy9v89qF zJP7We6=}f~,AF$?9{]o^8EmC{@W>a*Q]N6abxBocOj>m:I,qGsm{oE');

        # Admin user
        admin:
            user:                       vagrant
            password:                   vagrant
            email:                      

        # Limited DB user with WordPress-only permissions (no GRANT/CREATE/DROP)
        db:
            host:                       localhost
            name:                       wordpress_vagrant
            user:                       vagrant
            password:                   vagrant

        # WordPress plugins installed & updated (as needed) with each deployment
        plugins:
            # See: http://wordpress.org/extend/plugins/[NAME]
            # "~" indicates the latest version
            wordpress-importer:         ~

    # Production-like environment to test theme against real content & bugs
    staging:
        # do chmod on all files - avoid since it's slow
        fix_permissions: false

        # WP_SITEURL and can be a sub directory of WP_HOME
        site_directory: /wp

        salts:  |
            

        admin:
            user:                       
            password:                   
            email:                      

        db:
            host:                       
            name:                       
            user:                       
            password:                   

        plugins:
            wordpress-importer:         ~

    # Production environment, the destination domain for the site
    prod:
        # do chmod on all files - avoid since it's slow
        fix_permissions: false

        # WP_SITEURL and can be a sub directory of WP_HOME
        site_directory: /wp

        salts:  |
            define('AUTH_KEY',         'RR4@JiV380ieweVAEo(6M0yZdpK[-|(Mm,3YAxk:.Ofz=ODYWFsQFO|D,|3p/2;i');
            define('SECURE_AUTH_KEY',  'Py#.%YV4K>9/WaC|Q(h|%4>.tBn/3M0|l@*/hdP6zU0 ~t<KTc.N:+tE ::mRD&E');
            define('LOGGED_IN_KEY',    'LG+V1Bb!gXuMCl_WSm/mwvml3#L!Y%7ZNXS<hrT{-9UP@6=z&Mz33uj(ZJo8~HZ?');
            define('NONCE_KEY',        'Uq;~#rb|ek,*h|*P/-NQW8Uua%S+2u]z+7S]r]2o!]bwVmq%d#eWFa{5u]v~zsd6');
            define('AUTH_SALT',        ':P;8+joHkHQ|S.G]w4f@NFg} u^Q-lC@@U;&x[8GgY4?_r-cTgH ..M^Cb{Hti5^');
            define('SECURE_AUTH_SALT', 'v(!Rjfm~>(FQnWQq_tZKU)A!:,?UsUR4nlE#[J1B(3lF6OubKVdn9/E_smAsjN-f');
            define('LOGGED_IN_SALT',   '||8V<ddy=1_@5}6,n&8a-A2/5% 7YgO>US 9Ot-:{5DX$|Aa*v,m(Ms@ZNYGR* ,');
            define('NONCE_SALT',       '1[phTt>n|Oe$;wK}t4`8nzV];CDNaJX%g&#`hr$oJ?nxk-ADzXx^KsFXI<,9DRsB');

        admin:
            user:                       admin
            password:                   N.i+~7E3yd)4m33
            email:                      admin@dryannickpauli.com

        db:
            host:                       localhost
            name:                       blogneur_tus_blog
            user:                       blogneur_prod
            password:                   TDesLA%E@1on

        plugins:
            wordpress-importer:         ~


##
#   Capistrano deployment settings for each environment
##
deploy:
    vagrant:
        # SSH connection setttings for deployment
        web:
            host:                       vagrant.blog.unritalinsolution.com
            ip:                         172.21.113.112
            user:                       vagrant
            password:                   vagrant

        # Admin DB user for wordpress.[env].db.host with CREATE/DROP permissions
        db:
            user:                       root
            password:                   vagrant
            interactive_grants:         

    staging:
        web:
            host:                       
            ip:                         
            user:                       
            password:                   

        db:
            user:                       
            password:                   
            interactive_grants:         

    prod:
        web:
            host:                       blog.unritalinsolution.com
            ip:                         69.89.31.237
            user:                       blogneur
            password:                   

        db:
            user:                       blogneur
            password:                   K&UpN roOr46p6C
            interactive_grants:         y
